Bug 1176560 - RFE: support binding the DNF cache directory like Yum's
Summary: RFE: support binding the DNF cache directory like Yum's
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mock
Version: 21
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Michael Simacek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-22 10:44 UTC by Daniel Miranda
Modified: 2015-06-20 21:13 UTC (History)
7 users (show)

Fixed In Version: mock-1.2.10-1.el7
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-01 16:51:03 UTC
Type: Bug


Attachments (Terms of Use)
dnf_cache.py (3.45 KB, text/plain)
2014-12-22 12:36 UTC, Daniel Miranda
no flags Details

Description Daniel Miranda 2014-12-22 10:44:11 UTC
The yum_cache plugin for Mock hardcodes /var/cache/yum as the only directory to handle. It would be nice if it could perform the same process for /var/cache/dnf.

Comment 1 Daniel Miranda 2014-12-22 11:08:12 UTC
/var/cache/dnf should also probably be added to the default set of excluded directories for the root cache.

Comment 2 Michael Simacek 2014-12-22 12:21:01 UTC
You can tell dnf to use /var/cache/yum - that's what is in the default configs. But I agree that it would be better to have nicer solution.

Comment 3 Daniel Miranda 2014-12-22 12:36:20 UTC
Created attachment 971992 [details]
dnf_cache.py

Comment 4 Daniel Miranda 2014-12-22 12:37:35 UTC
I started from the yum_cache plugin and made some adaptations for DNF. Some very basic testing makes me think it works, but I'm not an expert on mock at all so please tell me if you see anything wrong with it.

Comment 5 Miroslav Suchý 2015-04-23 14:43:33 UTC
Fixed by:
* faf6f0f Binding DNF cache directory with yum_cache [RHBZ#1176560]

by msimacek.

The approach was little bit different. yum_cache plugin handle now even DNF (so no duplicated code).
The visible change is that in config is now:
 ...['yum_cache_opts']['dir'] = "%(cache_topdir)s/%(root)s/%(package_manager)s_cache/"
and there is new option:
.... ['yum_cache_opts']['target_dir']: "/var/cache/%(package_manager)s/"

Comment 6 Fedora Update System 2015-04-29 13:16:47 UTC
mock-1.2.8-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/mock-1.2.8-1.fc22

Comment 7 Fedora Update System 2015-04-29 13:17:11 UTC
mock-1.2.8-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/mock-1.2.8-1.fc21

Comment 8 Fedora Update System 2015-04-29 13:17:55 UTC
mock-1.2.8-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mock-1.2.8-1.fc20

Comment 9 Fedora Update System 2015-04-29 13:19:16 UTC
mock-1.2.8-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/mock-1.2.8-1.el7

Comment 10 Fedora Update System 2015-04-29 13:25:31 UTC
mock-1.2.8-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.2.8-1.el6

Comment 11 Fedora Update System 2015-04-29 19:18:59 UTC
Package mock-1.2.8-1.el7:
* should fix your issue,
* was pushed to the Fedora EPEL 7 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing mock-1.2.8-1.el7'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-6057/mock-1.2.8-1.el7
then log in and leave karma (feedback).

Comment 12 Fedora Update System 2015-05-01 16:51:03 UTC
mock-1.2.8-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2015-05-02 18:08:42 UTC
mock-1.2.8-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2015-05-12 20:47:05 UTC
mock-1.2.8-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2015-06-04 11:42:20 UTC
mock-1.2.10-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/mock-1.2.10-1.el7

Comment 16 Fedora Update System 2015-06-04 11:42:47 UTC
mock-1.2.10-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.2.10-1.el6

Comment 17 Fedora Update System 2015-06-20 21:10:23 UTC
mock-1.2.10-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2015-06-20 21:13:37 UTC
mock-1.2.10-1.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.